<div class="container-fluid ">
 <div class="row">
   <form [formGroup]="fichaGroup" (ngSubmit)="createFicha()" novalidate class="container formulario col-md-5">
     <div class="row mt-5">
       <div class="form-group col col-md-6">
         <label for="code">Codigo de la ficha</label>
         <input type="text" class="form-control" id="code" formControlName="code">
       </div>
       <div class="form-group col col-md-6">
         <label for="date">Fecha de inicio</label>
         <input type="text" class="form-control" id="date" aria-describedby="start" formControlName="startDate">
         <small id="start" class="form-text text-muted">Fecha YYYY/MM/DD.</small>
       </div>
     </div>
     <div class="row">
       <div class="form-group col col-md-6">
         <label for="practice">Terminacion etapa practica</label>
         <input type="text" class="form-control" id="practice" aria-describedby="practica" formControlName="dateEndPractice">
         <small id="practica" class="form-text text-muted">Fecha YYYY/MM/DD.</small>
       </div>
       <div class="form-group col col-md-6">
         <label for="lective">Terminacion etapa lectiva</label>
         <input type="text" class="form-control" aria-describedby="lectiva" formControlName="dateEndLective" id="lective">
         <small id="lectiva" class="form-text text-muted">Fecha YYYY/MM/DD.</small>
       </div>
     </div>
     <div class="row">

       <div class="col col-md-6 form-group">
         <label for="offer">Tipo de oferta</label>
         <select class="form-control" formControlName="offerType" name="offerType"  id="offer">
           <option value="ABIERTA">Abierta</option>
           <option value="CERRADA">Cerrada</option>
         </select>
       </div>
       <div class="col col-md-6 form-group">
         <label for="training">Tipo de formacion</label>
         <select class="form-control" formControlName="trainingType" name="trainingType"  id="training">
           <option value="TITULADA">Titulada</option>
           <option value="COMPLEMENTARIA">Complementaria</option>
         </select>
       </div>
     </div>
     <div class="row">
       <div class="col col-md-4 form-group">
         <label for="working">Jornada</label>
         <select class="form-control" formControlName="workingDay" name="trainingType"  id="working">
           <option value="MANIANA">Mañana</option>
           <option value="TARDE">Tarde</option>
           <option value="NOCHE">Noche</option>
           <option value="MIXTA">Mixta</option>
         </select>
       </div>
       <div class="col form-group col-md-8">
         <label for="program">Programa</label>
         <select id="program" class="form-control"  >
           <option *ngFor="let program of programs" >
             {{program.nameProgram}}
           </option>
         </select>
       </div>
     </div>
     <div class="row">
       <div class="col col-md-12">
         <label for="lastQuart">Email trimestre</label>
         <input type="text" id="lastQuart" formControlName="emailLastQuarter" class="form-control">
       </div>
     </div>
     <div class="row d-flex justify-content-between mt-2">
       <div class="col col-md-6">
         <label>¿Está activa la ficha?</label><br>
         <p-inputSwitch formControlName="state"></p-inputSwitch>
       </div>
       <button type="submit" class="col col-md-4 btn btn-info mr-2" [disabled]="fichaGroup.invalid">Crear</button>
     </div>
     <div class="row mt-2 alerta alert alert-danger" role="alert" *ngIf="fichaGroup.get('code').invalid && fichaGroup.get('code').dirty">
        <div  *ngIf="fichaGroup.get('code').errors.required">Codigo de la ficha requerido</div>
     </div>
     <div class="row mt-2 alerta alert alert-danger" *ngIf="fichaGroup.get('startDate').invalid && fichaGroup.get('startDate').dirty">
       <div  *ngIf="fichaGroup.get('startDate').errors.required">Fecha de inicio obligatoria</div>
       <div  *ngIf="fichaGroup.get('startDate').errors.minlength">Fecha incorrecta</div>
       <div  *ngIf="fichaGroup.get('startDate').errors.maxlength">Fecha Incorrecta</div>
     </div>
     <div class="row mt-2 alerta alert alert-danger" *ngIf="fichaGroup.get('dateEndLective').invalid && fichaGroup.get('dateEndLective').dirty">
       <div  *ngIf="fichaGroup.get('dateEndLective').errors.required">Fecha de terminacion etapa lectiva obligatoria</div>
       <div  *ngIf="fichaGroup.get('dateEndLective').errors.minlength">Fecha incorrecta</div>
       <div  *ngIf="fichaGroup.get('dateEndLective').errors.maxlength">Fecha Incorrecta</div>
     </div>
     <div class="row mt-2 alerta alert alert-danger" *ngIf="fichaGroup.get('dateEndPractice').invalid && fichaGroup.get('dateEndPractice').dirty">
       <div  *ngIf="fichaGroup.get('dateEndPractice').errors.required">Fecha de terminacion etapa practica obligatoria</div>
       <div  *ngIf="fichaGroup.get('dateEndPractice').errors.minlength">Fecha incorrecta</div>
       <div  *ngIf="fichaGroup.get('dateEndPractice').errors.maxlength">Fecha Incorrecta</div>
     </div>
     <div class="row mt-2 alerta alert alert-danger" *ngIf="fichaGroup.get('emailLastQuarter').invalid && fichaGroup.get('emailLastQuarter').dirty">
       <div  *ngIf="fichaGroup.get('emailLastQuarter').errors.required">Este campo es requerido</div>
       <div  *ngIf="fichaGroup.get('emailLastQuarter').errors.email">Ingresa un email valido</div>
     </div>

   </form>
   <div class="container mt-4 col col-md-7">
     <nav class="" >
       <ul class="pagination justify-content-center">
         <li class="page-item"><a class="page-link text-dark" href="#">1</a></li>
       </ul>
     </nav>
     <table class="table">
       <thead class="thead-dark">
       <tr>
         <th scope="col">#</th>
         <th scope="col">First</th>
         <th scope="col">Last</th>
         <th scope="col">Handle</th>
       </tr>
       </thead>
       <tbody>
       <tr>
         <th scope="row">1</th>
         <td>Mark</td>
         <td>Otto</td>
         <td>@mdo</td>
       </tr>
       </tbody>
     </table>
   </div>
 </div>
</div>
